This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 17721 - Retrieving... window gets lost too easily
Summary: Retrieving... window gets lost too easily
Status: RESOLVED FIXED
Alias: None
Product: obsolete
Classification: Unclassified
Component: vcsgeneric (show other bugs)
Version: 3.x
Hardware: PC Windows 3.1/NT
: P3 blocker with 1 vote (vote)
Assignee: issues@obsolete
URL:
Keywords: UI
Depends on:
Blocks: 51807
  Show dependency tree
 
Reported: 2001-11-15 19:02 UTC by ats37
Modified: 2004-12-21 15:29 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ats37 2001-11-15 19:02:05 UTC
When executing a "Refresh recursively", the popup window 
(titled "Retrieving...") can easily become lost under other 
windows/applications (e.g. if you click elsewhere on the main window while it's 
working).  It doesn't appear separately on Windows' taskbar, though, making it 
non-obvious how to return it to the front so you can see if it's finished (in 
fact, you can get back to it with Alt-Tab).

In addition, it stays open when it's finished waiting for the user to click the 
Close button.  As a result, you can end up with a whole bunch of them buried in 
the depths of your desktop.  Perhaps it should be made modal, or at least stay 
on top of the main NetBeans window so you can see it?
Comment 1 Jan Chalupa 2001-11-27 17:34:17 UTC
Target milestone -> 3.3.1.
Comment 2 Filip Rachunek 2002-04-30 15:47:38 UTC
UI keyword added.
Comment 3 Marek Grummich 2002-07-22 11:58:24 UTC
Set target milestone to TBD
Comment 4 Martin Entlicher 2004-11-24 16:09:18 UTC
Retrieving window should be probably removed. The refreshes are done
on background anyway.
Comment 5 _ pkuzel 2004-12-21 15:29:11 UTC
FIXED the dialog is eliminated